GET api/OnSiteDashboard/SearchCase?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfDashboardCaseNoDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of DashboardCaseNoDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "IsPendingFollup": true,
      "CaseNo": 1,
      "IncidentDate": "2026-06-20T04:08:12.9257338-07:00",
      "EmployeeId": "sample string 2",
      "EmployeeLName": "sample string 3",
      "EmployeeFName": "sample string 4",
      "DOB": "2026-06-20T04:08:12.9257338-07:00",
      "CompanyEmployeeId": "sample string 5",
      "CompanyName": "sample string 6",
      "WLCode": "sample string 7",
      "WLName": "sample string 8",
      "InjuryTypeId": 1,
      "InjuryTypeName": "sample string 9",
      "Status": 1,
      "NoOfEncounter": 1,
      "ReasonForDelete": "sample string 10",
      "ServiceType": "sample string 11",
      "EstimatedDOI": true,
      "InteractionType": 12,
      "OnSiteLocationId": 13,
      "IncidentWorkLocationName": "sample string 14",
      "IncidentWorkLocationCode": "sample string 15",
      "EmployeeWorkLocationName": "sample string 16",
      "EmployeeWorkLocationCode": "sample string 17",
      "Longitude": 1.1,
      "Latitude": 1.1,
      "CloseDate": "2026-06-20T04:08:12.9257338-07:00",
      "CaseOutComeType": "sample string 18",
      "CaseStatus": "sample string 19",
      "Gender": "sample string 20",
      "FormatedDOB": "sample string 21",
      "FormatedDOI": "sample string 22",
      "FormatedDateReported": "sample string 23",
      "DFRStauts": 1,
      "Address1": "sample string 24",
      "Address2": "sample string 25",
      "City": "sample string 26",
      "State": "sample string 27",
      "StateName": "sample string 28",
      "Zip": "sample string 29",
      "Country": "sample string 30",
      "CaseCategory": 31,
      "ECCCaseTypeName": "sample string 32",
      "ECCCaseId": 33,
      "TagList": [
        "sample string 1",
        "sample string 2"
      ],
      "VisitType": 34,
      "ExamId": "sample string 35",
      "EncounterId": 36,
      "GroupMedicalId": 1,
      "isForMSS": true,
      "WorkflowType": 1,
      "ScheduleDate": "2026-06-20T04:08:12.9257338-07:00",
      "OnSiteLocationName": "sample string 38",
      "CaseManagementTypeId": 39,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T04:08:12.9257338-07:00",
      "DateUpdated": "2026-06-20T04:08:12.9257338-07:00",
      "UserIDCreated": 43,
      "UserIDUpdated": 44,
      "CompanyCode": "sample string 45",
      "IsExcludeDiscount": true
    },
    {
      "IsPendingFollup": true,
      "CaseNo": 1,
      "IncidentDate": "2026-06-20T04:08:12.9257338-07:00",
      "EmployeeId": "sample string 2",
      "EmployeeLName": "sample string 3",
      "EmployeeFName": "sample string 4",
      "DOB": "2026-06-20T04:08:12.9257338-07:00",
      "CompanyEmployeeId": "sample string 5",
      "CompanyName": "sample string 6",
      "WLCode": "sample string 7",
      "WLName": "sample string 8",
      "InjuryTypeId": 1,
      "InjuryTypeName": "sample string 9",
      "Status": 1,
      "NoOfEncounter": 1,
      "ReasonForDelete": "sample string 10",
      "ServiceType": "sample string 11",
      "EstimatedDOI": true,
      "InteractionType": 12,
      "OnSiteLocationId": 13,
      "IncidentWorkLocationName": "sample string 14",
      "IncidentWorkLocationCode": "sample string 15",
      "EmployeeWorkLocationName": "sample string 16",
      "EmployeeWorkLocationCode": "sample string 17",
      "Longitude": 1.1,
      "Latitude": 1.1,
      "CloseDate": "2026-06-20T04:08:12.9257338-07:00",
      "CaseOutComeType": "sample string 18",
      "CaseStatus": "sample string 19",
      "Gender": "sample string 20",
      "FormatedDOB": "sample string 21",
      "FormatedDOI": "sample string 22",
      "FormatedDateReported": "sample string 23",
      "DFRStauts": 1,
      "Address1": "sample string 24",
      "Address2": "sample string 25",
      "City": "sample string 26",
      "State": "sample string 27",
      "StateName": "sample string 28",
      "Zip": "sample string 29",
      "Country": "sample string 30",
      "CaseCategory": 31,
      "ECCCaseTypeName": "sample string 32",
      "ECCCaseId": 33,
      "TagList": [
        "sample string 1",
        "sample string 2"
      ],
      "VisitType": 34,
      "ExamId": "sample string 35",
      "EncounterId": 36,
      "GroupMedicalId": 1,
      "isForMSS": true,
      "WorkflowType": 1,
      "ScheduleDate": "2026-06-20T04:08:12.9257338-07:00",
      "OnSiteLocationName": "sample string 38",
      "CaseManagementTypeId": 39,
      "ValidFlag": true,
      "DateCreated": "2026-06-20T04:08:12.9257338-07:00",
      "DateUpdated": "2026-06-20T04:08:12.9257338-07:00",
      "UserIDCreated": 43,
      "UserIDUpdated": 44,
      "CompanyCode": "sample string 45",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}